import { defineComponent, mergeProps, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderList, ssrRenderClass, ssrRenderAttr } from "vue/server-renderer";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Banner4th",
  __ssrInlineRender: true,
  props: {
    status: {},
    component_id: {},
    data: {}
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c;
      _push(`<div${ssrRenderAttrs(mergeProps({
        id: "component-" + _ctx.component_id,
        class: { "container banner-middle-4th": true, readonly: _ctx.status == "dev" || _ctx.status == "lazy" },
        style: "margin-top:" + ((_a = _ctx.data.style) == null ? void 0 : _a.margin.top) + "px; margin-bottom:" + (((_b = _ctx.data.style) == null ? void 0 : _b.margin.bottom) != null ? (_c = _ctx.data.style) == null ? void 0 : _c.margin.bottom : 20) + "px;"
      }, _attrs))}><div class="row">`);
      if (_ctx.status == "lazy") {
        _push(`<!--[-->`);
        ssrRenderList(new Array(_ctx.data.count), (temp, index) => {
          _push(`<div class="col-md-6"><div class="${ssrRenderClass({ "temp-banner shadow-1 br-20": true, "sk sk-super-dark": _ctx.status == "lazy" })}"></div></div>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<!--[--><!--[-->`);
        ssrRenderList(_ctx.data.banner, (banner, index) => {
          _push(`<div class="col-md-3 col-6 px-2"><a${ssrRenderAttr("href", banner.link)}></a><img class="shadow-1"${ssrRenderAttr("src", banner.src)}${ssrRenderAttr("alt", banner.alt)} loading="lazy"></div>`);
        });
        _push(`<!--]--><!--[-->`);
        ssrRenderList(new Array(_ctx.data.count - _ctx.data.banner.length), (temp, index) => {
          _push(`<div class="col-md-3 col-6"><div class="temp-banner shadow-1"></div></div>`);
        });
        _push(`<!--]--><!--]-->`);
      }
      _push(`</div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Main/UI/Banners/Banner4th.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
